C API Functions

## udbEntityLanguage

### Description

Return the general language of the specified entity, which is based on the entity kind.

### Syntax

     #include "udb/udb.h"
     UdbLanguage  udbEntityLanguage(UdbEntity entity)

### Arguments

Argument | description
UdbEntity entity | Specify the entity. The entity kind is examined to determine the language.

### Return Values

UdbEntityLanuage returns one of the following values specifying the general language of the specified entity, based on the entity kind.

language type | description
Udb_languageC | Entity kind is C/C++ Language
Udb_languageAda | Entity kind is Ada
Udb_languageFortran | Entity kind is Fortran

### Example Usage

     language = udbEntityLanguage(entity);
    switch (language) {
       case Udb_languageC : ...
       case Udb_languageFortran : ...
       case Udb_languageAda : ...
       }

### See Also

udbDbLanguage to get the language of the Understand database.

udbEntityKind to get the kind of the entity.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com